/*
    Rosegarden
    A MIDI and audio sequencer and musical notation editor.

    This program is Copyright 2000-2008
        Guillaume Laurent   <glaurent@telegraph-road.org>,
        Chris Cannam        <cannam@all-day-breakfast.com>,
        Richard Bown        <richard.bown@ferventsoftware.com>

    The moral rights of Guillaume Laurent, Chris Cannam, and Richard
    Bown to claim authorship of this work have been asserted.

    Other copyrights also apply to some parts of this work.  Please
    see the AUTHORS file and individual file headers for details.

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.  See the file
    COPYING included with this distribution for more information.
*/

#ifndef _RG_SEGMENTCOLOURCOMMAND_H_
#define _RG_SEGMENTCOLOURCOMMAND_H_

#include "base/Segment.h"
#include <kcommand.h>
#include <tqstring.h>
#include <vector>
#include <tdelocale.h>




namespace Rosegarden
{

class SegmentSelection;


class SegmentColourCommand : public KNamedCommand
{
public:
    SegmentColourCommand(SegmentSelection &segments,
                         const unsigned int index);
    virtual ~SegmentColourCommand();

    static TQString getGlobalName()
        { return i18n("Change Segment Color..."); }

    virtual void execute();
    virtual void unexecute();
protected:

    std::vector<Segment*>     m_segments;
    std::vector<unsigned int>             m_oldColourIndexes;
    unsigned int                          m_newColourIndex;
};


}

#endif
