/*
    Rosegarden
    A MIDI and audio sequencer and musical notation editor.

    This program is Copyright 2000-2008
        Guillaume Laurent   <glaurent@telegraph-road.org>,
        Chris Cannam        <cannam@all-day-breakfast.com>,
        Richard Bown        <richard.bown@ferventsoftware.com>

    The moral rights of Guillaume Laurent, Chris Cannam, and Richard
    Bown to claim authorship of this work have been asserted.

    Other copyrights also apply to some parts of this work.  Please
    see the AUTHORS file and individual file headers for details.

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.  See the file
    COPYING included with this distribution for more information.
*/

#ifndef _RG_HSPINBOX_H_
#define _RG_HSPINBOX_H_

#include <tqobject.h>
#include <tqspinbox.h>
#include <tqstring.h>
#include <tqvalidator.h>


namespace Rosegarden
{

class HSpinBox : public TQSpinBox
{
    TQString mapValueToText(int j);

    int mapTextToValue( bool* ok );
  
public:
    HSpinBox( int minV, int maxV, int step, TQWidget* parent,
              double bottom, double top, int decimals, float initialValue);

  //constructor with default settings
    HSpinBox( TQWidget* parent,  float initialValue = 0.2, int step=1, 
              double bottom=-25.0, double top=25.0, int decimals=3,
              const TQObject* recv=NULL, const char* mem=NULL);
  
    float valuef();
    void setValuef(float v);
    void initialize(int digits);

private: 

    float   m_scaleFactor; //scale of the value
    char    m_format[3];   //text format
  
};


}

#endif
